Remove a song from a setlist
DELETE/api/setlists/{id}/songs
DELETE
/api/setlists/{id}/songs
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Body
Section titled “Request Body”object
songId
string format: uuid
junctionId
string format: uuid
Responses
Section titled “Responses”Removed
object
ok
required
boolean
data
Invalid input
object
ok
required
boolean
error
required
string
code
string
Unauthenticated
object
ok
required
boolean
error
required
string
code
string
Forbidden / no permission
object
ok
required
boolean
error
required
string
code
string
Setlist not found
object
ok
required
boolean
error
required
string
code
string
Too many deletes — bulk delete guard tripped
object
ok
required
boolean
error
required
string
code
string
Failed to remove song
object
ok
required
boolean
error
required
string
code
string
